package datatypes_mail

type MailTemplate string //@enum:type

const (
	TemplateRegisterMailEmployee                  MailTemplate = "registerMailEmployee"                  // {"filename": "registerMailEmployee.html",     "n":12,      "key": "registerMailEmployee",                  "description": "Registrierungslink für Mitarbeiter"}
	TemplateRegisterMailEmployer                  MailTemplate = "registerMailEmployer"                  // {"filename": "registerMailEmployer.html",                  "key": "registerMailEmployer",                  "description": "Registrierungslink für Arbeitgeber"}
	TemplateResetPasswordMail                     MailTemplate = "resetPasswordMail"                     // {"filename": "resetPasswordMail.html",                     "key": "resetPasswordMail",                     "description": "Passwort-zurücksetzen Mail"}
	TemplateReminderEmployeeNoRegister            MailTemplate = "reminderEmployeeNoRegister"            // {"filename": "reminderEmployeeNoRegister.html",            "key": "reminderEmployeeNoRegister",            "description": "Erinnerungsmail: Noch nicht registriert (Mitarbeiter)"}
	TemplateReminderEmployeeNoOffer               MailTemplate = "reminderEmployeeNoOffer"               // {"filename": "reminderEmployeeNoOffer.html",               "key": "reminderEmployeeNoOffer",               "description": "Erinnerungsmail: Noch kein Angebot berechnet (Mitarbeiter)"}
	TemplateReminderEmployeePendingOffer          MailTemplate = "reminderEmployeePendingOffer"          // {"filename": "reminderEmployeePendingOffer.html",          "key": "reminderEmployeePendingOffer",          "description": "Erinnerungsmail: Ausstehendes Angebot (Mitarbeiter)"}
	TemplateReminderEmployerUnregisteredEmployees MailTemplate = "reminderEmployerUnregisteredEmployees" // {"filename": "reminderEmployerUnregisteredEmployees.html", "key": "reminderEmployerUnregisteredEmployees", "description": "Erinnerungsmail: Noch unregistrierte Mitarbeiter + Statistik (Arbeitgeber)"}
	TemplateReminderEmployerNoOfferEmployees      MailTemplate = "reminderEmployerNoOfferEmployees"      // {"filename": "reminderEmployerNoOfferEmployees.html",      "key": "reminderEmployerNoOfferEmployees",      "description": "Erinnerungsmail: Mitarbeiter ohne Angebot (Arbeitgeber)"}
	TemplateReminderEmployerPendingOfferEmployees MailTemplate = "reminderEmployerPendingOfferEmployees" // {"filename": "reminderEmployerPendingOfferEmployees.html", "key": "reminderEmployerPendingOfferEmployees", "description": "Erinnerungsmail: Mitarbeiter mit Angebot aber ohne Vertrag (Arbeitgeber)"}
	TemplateKomboEmployeeCreate                   MailTemplate = "komboEmployeeCreate"                   // {"filename": "komboEmployeeCreate.html",                   "key": "komboEmployeeCreate",                   "description": "Notification: Mitarbeiter über Kombo angelegt"}
)
